Bug 1269834 - RFE: Use "default" profiles (disk, network, cpu) when a profile is not explicitly defined
RFE: Use "default" profiles (disk, network, cpu) when a profile is not explic...
Status: CLOSED DEFERRED
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
3.5.4
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: Doron Fediuck
Pavel Stehlik
: FutureFeature, RFE
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 06:28 EDT by Daniel Helgenberger
Modified: 2017-07-26 04:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 04:42:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Daniel Helgenberger 2015-10-08 06:28:44 EDT
Description of problem:
Currently, using the API to create a VM the action fails if for instance the CPU profile is not set but more than one profile exists in the cluster. (Eg "Error: action type cpu profile empty").

This behavior should be changed to default to the default profiles rather than fail the api call.

Also refer to BZ1262293.
Comment 1 Juan Hernández 2015-10-08 13:00:18 EDT
We had this problem with disk profiles, and it was already solved, see bug 1160846. So the only remaining potential problem is with VNIC profiles. Did you have that problem? If that happens I'd say this is a bug rather than a RFE.
Comment 2 Doron Fediuck 2016-01-24 03:52:01 EST
Ping?
Comment 5 Doron Fediuck 2017-07-26 04:42:38 EDT
We won't be perusing this issue any more. If someone needs it, patches are welcomed.

Note You need to log in before you can comment on or make changes to this bug.